Ticket #56 (closed defect: fixed)

Opened 11 years ago

Last modified 6 years ago

savannah: Case insensetive search in mc doesn't work

Reported by: krix Owned by:
Priority: major Milestone:
Component: mc-core Version:
Keywords: Cc: mantas@…
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?18977

Submitted by:Christian Hamar <krix>Submitted on:Tue 06 Feb 2007 08:46:47 PM UTC
Category:CoreSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:4.6.1Operating System:GNU/Linux

Original submission:

Hey there.

I just found a patch in some freebsd bugtracker and saw that it says
 that case insensetive search does not work in 4.6.1 (maybe in CVS i
 did not test that :S )

I tried it and it does not works :))

A simple example how to reproduce. Get a directory which contains 
case and non-case filenames too:

- service
- services
- ICEcube
- somethingelse

Now, when you open Search dialog and put ICE for filename you wanna 
search then you got result like:

Case sens. ON:

- ICEcube (so it find it)

Case sens. OFF:

- ICEcube (so it find it again)

Let switch what we want to search. switch to ice then results:

Case sens. ON:

- service
- services

Case sens. OFF:

- service
- services

^^ So see the bug, while case sens. was off and you searched for ice
 you need to see ICEcube too in the list, but you wont.

The patch original source is: http://www.freebsd.org/cgi/query-pr.cgi?pr=99428

I take the patch from there and "reformatted" for mc 4.6.1

I attached two patch one for 4.6.1 and one for CVS (20070206 checkout)

Applies clean and fixes the bug, if not fixed in CVS already. I think no :)

Regards

Christian Hamar alias krix
Hungary
Frugalware Development Team
http://www.frugalware.org/ 

Comment 1 by Pavel Tsekov <ptsekov> at Thu 08 Feb 2007 09:45:20 AM UTC:

Please, read the link below - this is the expected behaviour:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=351562

Anyway, I'll take a look at those patches.

Comment 2 by Pavel Tsekov <ptsekov> at Tue 20 Feb 2007 08:05:59 PM UTC:

I took a look at the patch and it is pretty straightforward. However
 it is not what we want - it misuses the "case Sensitive" mark under
 the "Content" field - that flag is related to the data entered into
 the "Content" field and not the "Filename" field. I'll modify the 
dialog and adjust the code to do the right thing.

Comment 3 by Nagy Gabor <ngaba> at Fri 02 May 2008 12:48:03 PM UTC:

I also think that the current option is not intuitive, and I thought
that this is a bug.

Attachments

11-case-sensitive-find-fix-4.6.1.patch (6.0 KB) - added by slavazanko 11 years ago.
added by krix
case-sensitive-find-fix-forcvs_20070206.patch (5.9 KB) - added by slavazanko 11 years ago.
added by krix

Change History

Changed 11 years ago by slavazanko

added by krix

Changed 11 years ago by slavazanko

added by krix

comment:1 Changed 11 years ago by slavazanko

  • Description modified (diff)

comment:2 Changed 10 years ago by mantas

  • Cc mantas@… added

comment:3 Changed 10 years ago by styx

  • Milestone set to future releases

comment:4 Changed 10 years ago by andrew_b

  • Status changed from new to closed
  • Resolution set to fixed
  • severity set to no branch

New search engine in MC fixes this bug,

comment:5 Changed 10 years ago by andrew_b

  • Milestone future releases deleted

comment:6 Changed 6 years ago by ossi

  • Description modified (diff)
  • Branch state set to no branch
  • Reporter changed from slavazanko to krix
Note: See TracTickets for help on using tickets.